Skip to main content
System Management/Security Settings Interfaces/Console Proxy Interfaces
GETConsole Proxy InterfacesSince 0.6SynchronousAuth Required

Query Console Proxy Agent

Query Console Proxy Agent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation has failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null.

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists.

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      Resource UUID. Uniquely identifies the resource.

    • descriptionStringRequired

      Detailed description of the resource

    • managementIpStringRequired

      Management node IP

    • typeStringRequired

      Type

    • statusStringRequired

      Status (Connected, Disconnected)

    • stateStringRequired

      State (Enabled, Disabled)

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/consoles/agents

/zstack/v1/consoles/agents

Operation ID

QueryConsoleProxyAgent

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/consoles/agents' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "c77bbc7d3364449e9543d0776a6087de", "managementIp": "127.0.0.1", "type": "ManagementServerConsoleProxy", "state": "Connected" } ] }

Change History

This API has no change history records yet.

View all change history